<?php

namespace WilokeProductCategoriesElementor\Widgets;


class RegistrationController
{
	public function __construct()
	{
		add_action('elementor/frontend/after_register_scripts', [$this, 'registerScripts']);
		add_action('elementor/frontend/after_register_styles', [$this, 'registerStyles']);
		add_action('elementor/widgets/register', [$this, 'registerWidgets']);
	}

	public function registerWidgets($oWidgetManager)
	{
		$oWidgetManager->register(new ProductCategoriesWidget());
	}

	public function registerScripts()
	{
		wp_register_script(
			WILOKE_PRODUCT_CATEGORIES_ID,
			WILOKE_PRODUCT_CATEGORIES_URL . 'script.js',
			[],
			WILOKE_PRODUCT_CATEGORIES_VERSION,
			true
		);
	}

	public function registerStyles()
	{
		wp_register_style(
			WILOKE_PRODUCT_CATEGORIES_ID . "-grid",
			WILOKE_PRODUCT_CATEGORIES_URL . 'grid.css',
			[],
			WILOKE_PRODUCT_CATEGORIES_VERSION
		);

		wp_register_style(
			WILOKE_PRODUCT_CATEGORIES_ID,
			WILOKE_PRODUCT_CATEGORIES_URL . 'style.css',
			[],
			WILOKE_PRODUCT_CATEGORIES_VERSION
		);
	}
}
